local function Combuctor_TokenUpdate()
	local num_tok = GetNumWatchedTokens();
	
	_G["BackpackTokenFrame"]:ClearAllPoints()
	_G["BackpackTokenFrame"]:SetParent(_G["CombuctorFrame1MoneyFrame"])
	if(num_tok == 3) then
		_G["BackpackTokenFrame"]:SetPoint("BOTTOMRIGHT",_G["CombuctorFrame1MoneyFrame"],"TOPRIGHT",40,-4)
	elseif(num_tok == 2) then
		_G["BackpackTokenFrame"]:SetPoint("BOTTOMRIGHT",_G["CombuctorFrame1MoneyFrame"],"TOPRIGHT",78,-4)
	elseif(num_tok == 1) then
		_G["BackpackTokenFrame"]:SetPoint("BOTTOMRIGHT",_G["CombuctorFrame1MoneyFrame"],"TOPRIGHT",116,-4)
	end
	
	_G["BackpackTokenFrame"]:SetScale(1.3)
	_G["BackpackTokenFrame"]:Show()
	_G["BackpackTokenFrameToken1"]:ClearAllPoints()
	_G["BackpackTokenFrameToken1"]:SetPoint("LEFT", _G["BackpackTokenFrame"], "LEFT", 16, 0)
	_G["BackpackTokenFrameToken2"]:ClearAllPoints()
	_G["BackpackTokenFrameToken2"]:SetPoint("LEFT", _G["BackpackTokenFrameToken1"], "RIGHT", -12, 0)
	_G["BackpackTokenFrameToken3"]:ClearAllPoints()
	_G["BackpackTokenFrameToken3"]:SetPoint("LEFT", _G["BackpackTokenFrameToken2"], "RIGHT", -12, 0)
	
	_G["BackpackTokenFrame"]:GetRegions():SetAlpha(0)
end

hooksecurefunc("ManageBackpackTokenFrame", Combuctor_TokenUpdate);
hooksecurefunc(_G["Combuctor"], "Toggle", Combuctor_TokenUpdate);
hooksecurefunc(_G["Combuctor"], "Show", Combuctor_TokenUpdate);

--local a, b, c, d, e = _G["BackpackTokenFrameToken3"]:GetPoint(); print(a); print(c); print(d); print(e); print(b:GetName());